function getContentBrowser(){
	var windowMediator = Components.classes["@mozilla.org/appshell/window-mediator;1"]
	                     .getService(Components.interfaces.nsIWindowMediator);
	var topWindowOfType = windowMediator.getMostRecentWindow("navigator:browser");
	if(topWindowOfType) return topWindowOfType.document.getElementById("content");
	return null;
}

function removetabs_removeleft() {
	var contentBrowser = getContentBrowser();
	var tabs = contentBrowser.tabContainer;
	for(var i=tabs.selectedIndex-1; i>=0; i--){
		tabs.removeItemAt(i);
	}
}

function removetabs_removeright() {
	var contentBrowser = getContentBrowser();
	var tabs = contentBrowser.tabContainer;
	for(var i=tabs.childNodes.length-1; i>tabs.selectedIndex; i--){
		tabs.removeItemAt(i);
	}
}

function removetabs_addMenuItem(contentBrowser, menuid) {
	var removetabsMenu = document.getElementById(menuid).cloneNode(false);
	if(!removetabsMenu){ return; }
	removetabsMenu.id = "tab-" + menuid;
	var menuParent = contentBrowser.mStrip.firstChild.nextSibling;
	var pos = 4;
	if(pos >= menuParent.childNodes.length){
	  menuParent.appendChild(removetabsMenu);
	}else{
	  menuParent.insertBefore(removetabsMenu, menuParent.childNodes[pos]);
	}
}

function removetabs_addMenuItems() {
	var contentBrowser = getContentBrowser();
	if(!contentBrowser){ return; }
	removetabs_addMenuItem(contentBrowser, "removeleftmenu");
	removetabs_addMenuItem(contentBrowser, "removerightmenu");
}
